# atomicfwd_cxx.h File Reference

Go to the source code of this file.

## Defines

- #define _ATOMIC_MEMBER_

## Typedefs

- typedef __atomic_base< char > atomic_char
- typedef __atomic_base< char16_t > atomic_char16_t
- typedef __atomic_base< char32_t > atomic_char32_t
- typedef __atomic_base< int > atomic_int
- typedef __atomic_base< long long > atomic_llong
- typedef __atomic_base< long > atomic_long
- typedef __atomic_base< signed
  char > atomic_schar
- typedef __atomic_base< short > atomic_short
- typedef __atomic_base
  < unsigned char > atomic_uchar
- typedef __atomic_base
  < unsigned int > atomic_uint
- typedef __atomic_base
  < unsigned long long > atomic_ullong
- typedef __atomic_base
  < unsigned long > atomic_ulong
- typedef __atomic_base
  < unsigned short > atomic_ushort
- typedef __atomic_base< wchar_t > atomic_wchar_t

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file atomicfwd_cxx.h.